var formData = new FormData();
var defaults = {
	fileType         : ["jpg","png","bmp","jpeg"],   // 上传文件的类型
	fileSize         : 1024 * 1024 * 10                  // 上传文件的大小 10M
};
$(function(){
	var delParent;
    $(".z_photo").delegate(".close-upimg","click",function(){
		$(".works-mask").show();
		delParent = $(this).parent();
	});
	//删除确认
	$(".wsdel-ok").click(function(){
		$(".works-mask").hide();
		//获取删除的所属分类id
		var assortId = $(this).parents(".works-mask").prev().find("input[class='assortIdInput']").val()
		//获取删除的该文件名
		var filename = delParent.prevObject.attr("data-filename");
		 delParent.remove();
		//取出该分类的formData
		var img1 = formData.getAll(assortId);
		//将整个分类删除
		formData.delete(assortId);
		//重新添加
		for(var j=0;j<img1.length;j++){
			if(img1[j].name != filename){
				formData.append(assortId,img1[j]);
			}
		}
	});
	
	$(".wsdel-no").click(function(){
		$(".works-mask").hide();
	});
})
function validateUp(files){
	var arrFiles = [];//替换的文件数组
	for(var i = 0, file; file = files[i]; i++){
		//获取文件上传的后缀名
		var newStr = file.name.split("").reverse().join("");
		if(newStr.split(".")[0] != null){
			var type = newStr.split(".")[0].split("").reverse().join("");
			if(jQuery.inArray(type, defaults.fileType) > -1){
				// 类型符合，可以上传
				if (file.size >= defaults.fileSize) {
					alert(file.size);
					alert('您这个"'+ file.name +'"文件大小过大');
				} else {
					// 在这里需要判断当前所有文件中
					arrFiles.push(file);
				}
			}else{
				alert('您这个"'+ file.name +'"上传类型不符合');
			}
		}else{
			alert('您这个"'+ file.name +'"没有类型, 无法识别');
		}
	}
	return arrFiles;
}
